/*
 *                            *
 *                           * *
 *                          *   *
 *                     ***************
 *                      * *       * *
 *                       *  MUMPS  *
 *                      * *       * *
 *                     ***************
 *                          *   *
 *                           * *
 *                            *
 *
 *   ssvn_zfreem.c
 *    ^$ZFREEM SSV support
 *
 *  
 *   Author: John P. Willis <jpw@coherent-logic.com>
 *    Copyright (C) 1998 MUG Deutschland
 *    Copyright (C) 2020 Coherent Logic Development LLC
 *
 **/

#include <stdio.h>
#include <string.h>
#include <stdlib.h>

#include "mpsdef.h"
#include "mref.h"

void ssvn_zfreem (short action, char *key, char *data)
{

    freem_ref_t *r = (freem_ref_t *) malloc (sizeof (freem_ref_t));

    mref_init (r, MREF_RT_SSV, "^$ZFREEM");
    internal_to_mref (r, key);

#ifdef SSVN_DEBUG
    {
        int i;

        set_io (UNIX);
        printf ("%s subscript_count:  %d\n", r->name, r->subscript_count);
        for (i = 0; i < r->subscript_count; i++) {
            printf ("%s subscripts[%d]:  %s\n", r->name, i, r->subscripts[i]);
        }
        set_io (MUMPS);
    }
#endif


    *data = EOL;
    return;

}